diff -u audacity-1.3.4/debian/changelog audacity-1.3.4/debian/changelog
--- audacity-1.3.4/debian/changelog
+++ audacity-1.3.4/debian/changelog
@@ -1,3 +1,14 @@
+audacity (1.3.4-1.1) unstable; urgency=high
+
+  * Non-maintainer upload by security team.
+  * Fix insecure directory creation in /tmp by moving the directory
+    to the users home directory (CVE-2007-6061; Closes: #453283).
+  * Adding NEWS file to advise the user to change the tmp path
+    in his config file so there is a notification for users who
+    are already vulnerable.
+
+ -- Nico Golde <nion@debian.org>  Mon, 21 Jan 2008 19:08:54 +0100
+
 audacity (1.3.4-1) unstable; urgency=low
 
   [ Joost Yervante Damad ]
--- audacity-1.3.4.orig/debian/NEWS
+++ audacity-1.3.4/debian/NEWS
@@ -0,0 +1,11 @@
+audacity (1.3.4-1.1) unstable; urgency=high
+
+  * This update fixes a security issue (CVE-2007-6061).
+  * Please either delete ~/.audacity-data/audacity.cfg or change
+    the value of TempDir in audacity.cfg to
+    <PATHTOYOURHOME>/.audacity1.3-<YOURUSERNAME>
+    to prevent other local users from performing a symlink attack
+    resulting in potential data loss of your local files.
+
+ -- Nico Golde <nion@debian.org>  Mon, 21 Jan 2008 19:08:54 +0100
+
--- audacity-1.3.4.orig/debian/patches/CVE-2007-6061.patch
+++ audacity-1.3.4/debian/patches/CVE-2007-6061.patch
@@ -0,0 +1,11 @@
+--- src/AudacityApp.cpp.orig	2007-11-13 23:01:37.000000000 +0100
++++ src/AudacityApp.cpp	2008-01-21 19:05:13.000000000 +0100
+@@ -573,7 +573,7 @@
+    // * The user's .audacity-files directory in their home directory
+    // * The "share" and "share/doc" directories in their install path
+    #ifdef __WXGTK__
+-   defaultTempDir.Printf(wxT("/tmp/audacity%d.%d-%s"), 
++   defaultTempDir.Printf(wxT("%s/.audacity%d.%d-%s"), home.c_str(),
+                          AUDACITY_VERSION, AUDACITY_RELEASE, wxGetUserId().c_str());
+    
+    wxString pathVar = wxGetenv(wxT("AUDACITY_PATH"));
